/* wptGPGME.h - Object oriented wrapper for GPGME
 *	Copyright (C) 2006 Timo Schulz
 *
 * This file is part of WinPT.
 *
 * WinPT is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either version 2 
 * of the License, or (at your option) any later version.
 *  
 * WinPT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with WinPT; if not, write to the Free Software Foundation, 
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
 */

#ifndef WPT_GPGME_H
#define WPT_GPGME_H

class GPGME {
private:
    gpgme_ctx_t ctx;
    bool	chg_ver;

public:
    ~GPGME ();
    GPGME ();

    void setChangeVersion (bool val);
    bool getArmor (void);
    void setArmor (bool val);

    /* export */
    gpgme_error_t exportToBuffer (const char *patt, char **outdata);
    
    gpgme_error_t exportToFile (const char *patt, const char *outfile);
    gpgme_error_t exportToFile (const char *pattern[], const char *outfile);
    
    gpgme_error_t exportToClipboard (const char *patt);
    gpgme_error_t exportToClipboard (const char *pattern[]);

    /* import */
    gpgme_error_t	  importFromFile (const char *file);
    gpgme_error_t	  importFromBuffer (const char *indata);
    gpgme_error_t	  importFromClipboard (void);
    gpgme_import_result_t importGetResult (void);
};

#endif /*WPT_GPGME_H*/
