/* wptNLS.h - NLS headerfile
 *	Copyright (C) 2001, 2002, 2008 Timo Schulz
 *
 * This file is part of WinPT.
 *
 * WinPT is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * WinPT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */

#ifndef WPT_NLS_H
#define WPT_NLS_H

#ifdef __cplusplus
extern "C" {
#endif

#define _(a) gettext (a)
#define N_(a) (a)

struct lang_table_s {
    const char *id;
    const char *name;
    int langid;
};

struct gettext_tab_s {
    int ctlid;
    const char *trans;
};

extern struct lang_table_s lang_list[];

void gettext_free_current_domain (void);
int gettext_set_file (const char * filename, const char * nls_dir);
const char *gettext (const char * msgid);
const char *gettext_get_langid (void);
void gettext_localize_dialog (HWND dlg, struct gettext_tab_s *tab,
			       const char *title);
int gettext_set_user_domain (void);
char* get_locale_name(const char *file);

#ifdef __cplusplus
}
#endif

#endif /* WPT_NLS_H */

